Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » EclipseLink » Eclipselink 3.0.3 an Java 20(Errors when using Eclipselink 3.0.3 with Java 20)
Eclipselink 3.0.3 an Java 20 [message #1859513] Tue, 13 June 2023 07:34 Go to next message
Michael Wojke is currently offline Michael WojkeFriend
Messages: 6
Registered: February 2023
Junior Member
When we compile our classes with java 20 compliance, deployment fails an we get a bunch of errors saying "Unsupported class file major version 64".

When we lower the compliance to java 19 eclsipelink works fine but whe still see errors during deployment, for example :
[EL Warning]: metadata: 2023-06-13 09:31:36.926--ServerSession(732157093)--The javax.swing.event.ChangeListener class was compiled with an unsupported JDK. Report this error to the EclipseLink open source project.
java.lang.IllegalArgumentException: Unsupported class file major version 64

I did not test Eclipselink 4 yet because there ist still this eror pending in Jaxb concerning @XMLId and Inheritance so we can't use it anyway.

https://www.eclipse.org/forums/index.php/t/1112538

Do you plan to bring on a version of eclipselink 3 that supprts java 20? If not we will be in big trouble
Re: Eclipselink 3.0.3 an Java 20 [message #1859517 is a reply to message #1859513] Tue, 13 June 2023 09:25 Go to previous messageGo to next message
Radek Felcman is currently offline Radek FelcmanFriend
Messages: 16
Registered: March 2021
Junior Member
Hello,

I don't think, that EclipseLink 3.x line is ready for JDK 20.
Maybe You should try latest 4.0.2-RC1 .
https://repo1.maven.org/maven2/org/eclipse/persistence/eclipselink/4.0.2-RC1/

About:
I did not test Eclipselink 4 yet because there ist still this eror pending in Jaxb concerning @XMLId and Inheritance so we can't use it anyway.
Do You mean, that something about @XMLId was fixed in 3.x but not in 4.x? Or it's related with JAXB dependency (in 4.0.2-RC1 is JAXB 4.0.3)?
Re: Eclipselink 3.0.3 an Java 20 [message #1859533 is a reply to message #1859517] Wed, 14 June 2023 06:06 Go to previous messageGo to next message
Michael Wojke is currently offline Michael WojkeFriend
Messages: 6
Registered: February 2023
Junior Member
In Eclipselink 4 there is a problem when an instance of a class is referenced by XMLIdRef and th XMLID-Propoperty is defined in a superclass. I posted this in the other post i mentioned.

I can't say wheter this has been fixed in v3 and was forgotten in v4 or if this is a regression.

I'll giv 4.0.2 a try and report
Re: Eclipselink 3.0.3 an Java 20 [message #1859541 is a reply to message #1859533] Wed, 14 June 2023 09:16 Go to previous message
Michael Wojke is currently offline Michael WojkeFriend
Messages: 6
Registered: February 2023
Junior Member
Tried out 4.0.2-RC1.

Positiive: Java20 supported

negative: jaxb-Errro still there. Will report this in the other Thread
Previous Topic:Error calling PostgreSQL stored procedure
Next Topic:XMLIDRef behaviour changed from 3.0.3 to 4.0
Goto Forum:
  


Current Time: Sat Feb 24 04:13:45 GMT 2024

Powered by FUDForum. Page generated in 0.02248 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top